* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body::-webkit-scrollbar {
  display: none;
  /* Oculta la barra de desplazamiento */
}

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  vertical-align: baseline;
}

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  /* For better text rendering in WebKit browsers */
  -moz-osx-font-smoothing: grayscale;
  /* For better text rendering in Firefox on Mac */
  -ms-overflow-style: scrollbar;
  /* For better scrollbar handling in IE and Edge */
}

ol, ul {
  list-style: none;
}

a {
  text-decoration: none;
}

input, textarea, select, button {
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
  margin: 0;
}

.flex-col-center, body, body #container, body #container #subcontainer #content_container, body #container #subcontainer #content_container #text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.flex-row-center, body #container #subcontainer, body #container #subcontainer #content_container #app_stores {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.kanit-thin {
  font-family: "Kanit", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.kanit-extralight {
  font-family: "Kanit", sans-serif;
  font-weight: 200;
  font-style: normal;
}

.kanit-light {
  font-family: "Kanit", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.kanit-regular, body #container #subcontainer #content_container #text p, body #container footer #lang_sel label, body #container footer #lang_sel .unvisible, body #container footer p {
  font-family: "Kanit", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.kanit-medium {
  font-family: "Kanit", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.kanit-semibold {
  font-family: "Kanit", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.kanit-bold {
  font-family: "Kanit", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.kanit-extrabold, body #container #subcontainer #content_container #text h1 {
  font-family: "Kanit", sans-serif;
  font-weight: 800;
  font-style: normal;
}

.kanit-black {
  font-family: "Kanit", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.kanit-thin-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 100;
  font-style: italic;
}

.kanit-extralight-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 200;
  font-style: italic;
}

.kanit-light-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.kanit-regular-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.kanit-medium-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 500;
  font-style: italic;
}

.kanit-semibold-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 600;
  font-style: italic;
}

.kanit-bold-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 700;
  font-style: italic;
}

.kanit-extrabold-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 800;
  font-style: italic;
}

.kanit-black-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 900;
  font-style: italic;
}

body {
  background-color: #282727;
  height: 100vh;
  width: 100vw;
  background-image: url("./assets/bg.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 100 100;
}

body #container {
  width: 100vw;
  gap: 4rem;
  place-items: center;
}

body #container #subcontainer {
  width: 70%;
}

body #container #subcontainer picture source, body #container #subcontainer picture img {
  width: 700px;
}

body #container #subcontainer #content_container {
  height: 100%;
  gap: 2rem;
  padding: 0 4rem;
}

body #container #subcontainer #content_container #text {
  gap: 1rem;
}

body #container #subcontainer #content_container #text h1 {
  text-transform: uppercase;
  color: white;
  font-size: 2rem;
  text-align: center;
}

body #container #subcontainer #content_container #text p {
  color: white;
  text-align: center;
  line-height: 1.4rem;
}

body #container #subcontainer #content_container #app_stores {
  width: 100%;
  gap: 1rem;
}

body #container #subcontainer #content_container #app_stores a {
  height: 40px;
}

body #container #subcontainer #content_container #app_stores a img {
  height: 46px;
}

body #container footer {
  width: 100vw;
  display: flex;
  align-items: start;
  justify-content: center;
  gap: 2rem;
  padding: 1rem 0;
}

body #container footer #lang_sel {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

body #container footer #lang_sel label {
  display: flex;
  align-items: center;
  gap: 2px;
  color: white;
  cursor: pointer;
}

body #container footer #lang_sel input[type="checkbox"]:checked + .unvisible {
  display: block;
}

body #container footer #lang_sel .unvisible {
  position: absolute;
  top: 24px;
  display: none;
  color: white;
}

body #container footer p {
  color: white;
}

@media all and (min-width: 992px) and (max-width: 1199.98px) {
  body #container {
    gap: 4rem;
  }
  body #container #subcontainer {
    width: 90%;
  }
  body #container #subcontainer picture source, body #container #subcontainer picture img {
    width: 500px;
  }
}

@media all and (min-width: 768px) and (max-width: 991.98px) {
  body #container {
    height: 100vh;
    gap: 0;
  }
  body #container #subcontainer {
    width: 80%;
    display: flex;
    flex-direction: column-reverse;
    gap: 4rem;
  }
  body #container #subcontainer picture source, body #container #subcontainer picture img {
    width: 500px;
  }
}

@media all and (min-width: 576px) and (max-width: 767.98px) {
  body #container {
    height: 100vh;
    gap: 0;
  }
  body #container #subcontainer {
    width: 80%;
    display: flex;
    flex-direction: column-reverse;
    gap: 4rem;
  }
  body #container #subcontainer picture source, body #container #subcontainer picture img {
    width: 400px;
  }
}

@media all and (min-width: 375px) and (max-width: 575.98px) {
  body #container {
    height: 100vh;
    gap: 0;
  }
  body #container #subcontainer {
    width: 80%;
    display: flex;
    flex-direction: column-reverse;
    gap: 2rem;
  }
  body #container #subcontainer picture source, body #container #subcontainer picture img {
    width: 300px;
  }
  body #container #subcontainer #content_container {
    padding: 2rem 0;
  }
  body #container #subcontainer #content_container img {
    height: 6rem;
  }
  body #container #subcontainer #content_container #text h1 {
    font-size: 1.7rem;
  }
  body #container #subcontainer #content_container #app_stores a {
    height: 32px;
  }
  body #container #subcontainer #content_container #app_stores a img {
    height: 32px;
  }
  body #container footer {
    flex-direction: column;
    place-items: center;
    gap: 2,4rem;
  }
}
